summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
Diffstat (limited to 'network')
-rw-r--r--network/galaxium/README9
-rw-r--r--network/galaxium/doinst.sh3
-rw-r--r--network/galaxium/galaxium.SlackBuild71
-rw-r--r--network/galaxium/galaxium.info8
-rw-r--r--network/galaxium/slack-desc11
5 files changed, 102 insertions, 0 deletions
diff --git a/network/galaxium/README b/network/galaxium/README
new file mode 100644
index 0000000000..5df5902c3a
--- /dev/null
+++ b/network/galaxium/README
@@ -0,0 +1,9 @@
+Galaxium is an instant messenger application designed for the GNOME
+desktop. It will allow you to connect to MSN, Jabber, GTalk and IRC
+(and Yahoo, AIM and ICQ in the future) through the use of addins.
+You can communicate with your family, friends and co-workers from
+around the world, using different networks!
+
+Dependency build order, available at SlackBuilds.org:
+mono, gtk-sharp, mono-addins, libanaculus-sharp, gstreamer, webkit,
+webkit-sharp, ndesk-dbus, ndesk-dbus-glib
diff --git a/network/galaxium/doinst.sh b/network/galaxium/doinst.sh
new file mode 100644
index 0000000000..140e332222
--- /dev/null
+++ b/network/galaxium/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications
+fi
diff --git a/network/galaxium/galaxium.SlackBuild b/network/galaxium/galaxium.SlackBuild
new file mode 100644
index 0000000000..5a37e4f0a9
--- /dev/null
+++ b/network/galaxium/galaxium.SlackBuild
@@ -0,0 +1,71 @@
+#!/bin/sh
+
+# Slackware build script for Galaxium
+# Written by Erik Hanson erik@slackbuilds.org
+
+set -eu
+
+PRGNAM=galaxium
+VERSION=0.7.4.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/${PRGNAM}_${VERSION}.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CXXFLAGS="$SLKCFLAGS" \
+CFLAGS="$SLKCFLAGS" \
+sh autogen.sh \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var/lib \
+ --mandir=/usr/man \
+ --disable-static \
+ --enable-msn \
+ --enable-adium \
+ --disable-gecko \
+ --enable-webkit
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | egrep "ELF.*shared object" | cut -f 1 -d : \
+ | xargs strip --strip-unneeded 2> /dev/null
+
+# Make the .desktop file "validate"
+sed -i "s/Application;//" $PKG/usr/share/applications/galaxium.desktop
+sed -i "s/Messaging/Messaging;/" $PKG/usr/share/applications/galaxium.desktop
+
+mv $PKG/usr/share/man $PKG/usr/man
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION $PKG/install
+cp -a AUTHORS COPYING INSTALL $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/galaxium/galaxium.info b/network/galaxium/galaxium.info
new file mode 100644
index 0000000000..9b4a79d626
--- /dev/null
+++ b/network/galaxium/galaxium.info
@@ -0,0 +1,8 @@
+PRGNAM="galaxium"
+VERSION="0.7.4.1"
+HOMEPAGE="http://code.google.com/p/galaxium/"
+DOWNLOAD="http://galaxium.googlecode.com/files/galaxium_0.7.4.1.tar.gz"
+MD5SUM="052f78549218b2421a861a8ea245f616"
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="David Somero" \ No newline at end of file
diff --git a/network/galaxium/slack-desc b/network/galaxium/slack-desc
new file mode 100644
index 0000000000..dddff607d2
--- /dev/null
+++ b/network/galaxium/slack-desc
@@ -0,0 +1,11 @@
+galaxium: Galaxium (Multi-Protocol Instant Messenger)
+galaxium:
+galaxium: Galaxium is an instant messenger application designed for the GNOME
+galaxium: desktop. It will allow you to connect to MSN, Jabber, GTalk and IRC
+galaxium: (and Yahoo, AIM and ICQ in the future) through the use of addins.
+galaxium: You can communicate with your family, friends and co-workers from
+galaxium: around the world, using different networks!
+galaxium:
+galaxium:
+galaxium: http://code.google.com/p/galaxium/
+galaxium: